#define SBUFSIZE 128
typedef struct 
{
	volatile unsigned head;
	volatile unsigned tail;
	volatile int count;
	char buffer[SBUFSIZE+1];
} SerialBuffer;

void initUART(void);
void putBuf(SerialBuffer *sbuf, char c);
char getBuf(SerialBuffer *sbuf);
int rx_count();
int tx_count();
char egetc(void);
void eputc(char c);
void printString(char *s);
void printInteger(unsigned int Number);
void printShort(unsigned int Number);
void printByte(unsigned int Number);
